// Copyright © 2007, Esko Luontola <www.orfjackal.net>
// This software is released under the Apache License 2.0.
// The license text is at http://www.apache.org/licenses/LICENSE-2.0

package net.orfjackal.weenyconsole;

/**
 * @author Esko Luontola
 * @since 31.7.2007
 */
public class CommandNotFoundException extends CommandExecutionException {

    public CommandNotFoundException(String command) {
        super(command, messageFor(command));
    }

    private static String messageFor(String command) {
        return "command not found: " + command;
    }
}
